[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TIndexDef.Expression

Expression that makes up the index values

## Declaration

Source position: db.pas line 1056

`published property TIndexDef.Expression : string read GetExpression write SetExpression;`

## Description

Expression is an SQL expression based on which the index values are computed. It is only used when ixExpression is in TIndexDef.Options

## See also

TIndexDef.Options |  | Index options
TindexDef.Fields |  | Fields making up the index